# Functor Deriving_Show.Defaults

    module Defaults: functor (S : sig
    type a

    val format : Format.formatter -> a -> unitend) -> Show  with type a = S.a

Parameters:

`S` | : | `sig type a val format : Format.formatter -> a -> unit end`

    type a

    val format : Format.formatter -> a -> unit

    val format_list : Format.formatter -> a list -> unit

    val show : a -> string

    val show_list : a list -> string